## com.fasterxml.jackson.databind.deser.impl
Class ReadableObjectId

    java.lang.Object
      com.fasterxml.jackson.databind.deser.impl.ReadableObjectId

    public class ReadableObjectId

extends Object

Simple value container for containing information about single Object Id during deserialization

Nested Class Summary
`static class` `ReadableObjectId.Referring`

Field Summary
`Object` `id`
`Object` `item`

Constructor Summary
`ReadableObjectId(Object id)`

Method Summary
`void` `appendReferring(Object pojo, SettableBeanProperty prop)`
`void` `bindItem(Object ob)` Method called to assign actual POJO to which ObjectId refers to: will also handle referring properties, if any, by assigning POJO.
`boolean` `hasReferringProperties()`
`Iterator<ReadableObjectId.Referring>` `referringProperties()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    public final Object id

### item

    public Object item

Constructor Detail

### ReadableObjectId

    public ReadableObjectId(Object id)

Method Detail

### appendReferring

    public void appendReferring(Object pojo,
                                SettableBeanProperty prop)

### bindItem

    public void bindItem(Object ob)
                  throws IOException

  Method called to assign actual POJO to which ObjectId refers to: will also handle referring properties, if any, by assigning POJO.

  Throws:
    `IOException`

### hasReferringProperties

    public boolean hasReferringProperties()

### referringProperties

    public Iterator<ReadableObjectId.Referring> referringProperties()

Copyright © 2012 fasterxml.com. All Rights Reserved.